<?

include("../Librerias/ConfNivel2.inc");

include("../Librerias/Password.phtml");

$Nivel=$_Nivel2;

$ObjSesion=new Sesiones();                ///Clase Sesión

$ObjSesion->MVerifica($Nivel);

$Conexion=new DBAccess();

$Conexion->Acceso($Servidor,$UsuarioBD,$ClaveBD,$BaseDatos);

$Formulario=new Formulario();

FEncabezado($Nivel);

/*Obtenemos los valor por post*/

$tags2 = array_keys($_POST); // obtiene los nombres de las variables

$valores2 = array_values($_POST);// obtiene los valores de las variables

$i=0;

foreach ($_POST as $valores){

 ${$tags2[$i]}=$valores;

 $i++;	

}



///Datos de la acción

$Fecha=date("Y-m-d");

$Hora=date("H:i:s");

$Ip=$_SERVER["HTTP_X_FORWARDED_FOR"];

if ($Ip=='')  $Ip=$_SERVER["REMOTE_ADDR"];

 

$VectorImagen = explode ('\\\\',$_FILES["Imagen"]["tmp_name"]);

for($i=0; $VectorImagen[$i]; $i++)

$ImagenSubir=$VectorImagen[$i];

if ($ImagenSubir){

$nom = $_FILES['Imagen']["name"];

//$extension = $exte[1];

}

echo  "-->".$extension;			

if ($Accion=='Guardar')

{

  	 //Insertamos la imagen también

	 $NomImagen=$Nivel.'img/fotos/'.$nom;

	 if ($ImagenSubir){

		if (!copy ($ImagenSubir,$NomImagen)){

			FMensajeScript("Ocurrió un error al intentar subir la imagen. Vuelva a Intentarlo".'\r'."Si el problema persiste, comuníquelo al Administrador del Sistema","Usuarios.php?IdUsuario=".$_SESSION["IdUsuario"]);		  

			exit();           

		}else{

			$archi = $nom;

			$ConsultaF="UPDATE usuarios SET foto='$archi' WHERE IdUsuario=".$_SESSION["IdUsuario"];

            $Conexion->MEjecutarSQL($ConsultaF);			

		}

		   

	}	  

	

////////////////////////////////////////////////////////////////

 ////PARA REGISTRARLO EN LA BITACORA DE ACCESOS

 /*   $DescripcionAccion="AVATAR ACTUALIZADO: ".$_SESSION["IdUsuario"];

    $ConsultaAccion="INSERT INTO CONTROLusuarios (IdUsuario,DESCRIPCION,FECHA,HORA,IP,TABLA,CLAVE,IDSISTEMA) Values

                      ('".$_SESSION["IdUsuario"]."','$DescripcionAccion','$Fecha','$Hora','$Ip','Usuarios',$UsuarioId,$_IdSistema)";

    $Conexion->MEjecutarSQL($ConsultaAccion);*/



 FMensajeScript("AVATAR ACTUALIZADO","CambiarAvatar.php?UsuarioId=".$_SESSION["IdUsuario"]);

 exit();

	

}





?>